Subject: Re: Preemption question (4xx related)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 03 Jul 2009 08:41:00 +1000

On Thu, 2009-07-02 at 07:12 -0400, Josh Boyer wrote:
> On Thu, Jul 02, 2009 at 05:33:12PM +1000, Benjamin Herrenschmidt wrote:
> >On Wed, 2009-07-01 at 20:14 -0400, Josh Boyer wrote:
> >
> >> I've toyed with that idea myself.  I keep coming back to the fact that you need
> >> a workload that would really leverage it, and I don't have one at the moment.
> >
> >To some extent that's true but just turning full preemption including
> >kernel side with all the associated debug bits and lockdep should make a
> >whole bunch of things show up even with ordinary workloads.
> 
> I can look at doing that for ppc44x_defconfig.  I'll be honest and say I don't
> expect it to go well, particularly with lockdep :).
> 
> >For 440 tend to boot an ubuntu distro off NFS root with all X & DRI 3D
> >etc... and then run compiz :-)
> 
> Yes.  Because that's a totally realistic workload for a 440.  I'm surprised you
> don't have a p595 machine acting as your home router too!  ;)

It doesn't need to be realistic. In fact, a "realistic" workload is the
worst thing to test with because it won't exercise all the "uncommon"
code path which are the ones likely to bite.

So yesm it's not a "realistic" workload, but it's a good "torture"
workload to find bugs.

Cheers,
Ben.